
package com.kingdee.eas.custom.projectbonus.web;

import org.operamasks.faces.annotation.ManagedBean;
import org.operamasks.faces.annotation.ManagedBeanScope;

import com.kingdee.bos.util.BOSUuid;

import com.kingdee.bos.waf.winlet.edit.BillEntryBean;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.projectbonus.BonusCycleBusDepProjectInfo;

public abstract class AbstractBonusCycleBusDepProjectBean extends BillEntryBean {
	@Override
	public CoreBaseInfo createNewEntry() {
		BonusCycleBusDepProjectInfo info = new BonusCycleBusDepProjectInfo();
		info.setId(BOSUuid.create(info.getBOSType()));
		return info;
	}
}

